Subject: bug#38407: 27.0.50; infinite loop with display of large file without newlines

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Dec 2019 18:23:41 +0200

> Date: Sun, 1 Dec 2019 17:35:35 +0100
> From: Pieter van Oostrum <[email-masked]>
> Cc: [email-masked]
> 
> Opened this version of Emacs. 
> (setq bidi-inhibit-bpa t)
> open the file extensions.json (i.e. without visual-line-mode)
> go to the end of the buffer.
> Emacs gets responsive again after about one minute.
> Then I open a new frame (Cmd-N), the frame appears, so this proves that Emacs was responsive.
> But after opening the frame, Emacs is unresponsive again with 100% CPU usage. After 30 minutes, I killed it.

When more than one frame is displayed, some redisplay cycles redraw
more than just the selected frame.  If you don't want the frame with
the "problematic" buffer ti get in the way, minimize it.

Although I don't understand why you see 30 minutes and longer delays,
you should see the same 1 minute as on the original frame.